aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci/build_x86_64.sh11
-rwxr-xr-xscripts/ci/check.sh17
2 files changed, 17 insertions, 11 deletions
diff --git a/scripts/ci/build_x86_64.sh b/scripts/ci/build_x86_64.sh
index b9b170659..2ed2e005a 100755
--- a/scripts/ci/build_x86_64.sh
+++ b/scripts/ci/build_x86_64.sh
@@ -12,14 +12,3 @@ cd "$(dirname "$0")"/../..
${CONF}
make -j 8
-
-echo 1000 | tee /proc/sys/vm/nr_hugepages
-mkdir -p /mnt/huge
-mount -t hugetlbfs nodev /mnt/huge
-
-# Ignore possible failures there because these tests depends on measurements
-# and systems might differ in performance.
-export CI="true"
-make check
-
-umount /mnt/huge
diff --git a/scripts/ci/check.sh b/scripts/ci/check.sh
new file mode 100755
index 000000000..431686802
--- /dev/null
+++ b/scripts/ci/check.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+
+"`dirname "$0"`"/build_x86_64.sh
+
+cd "$(dirname "$0")"/../..
+
+echo 1000 | tee /proc/sys/vm/nr_hugepages
+mkdir -p /mnt/huge
+mount -t hugetlbfs nodev /mnt/huge
+
+# Ignore possible failures there because these tests depends on measurements
+# and systems might differ in performance.
+export CI="true"
+make check
+
+umount /mnt/huge